package com.huiju.estateagents.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Data;

@Data
public class TaPersonExport {

    @ColumnWidth(20)
    @ExcelProperty(value = "姓名", index = 0)
    private String nickname;

    @ColumnWidth(15)
    @ExcelProperty(value = "电话", index = 1)
    private String phone;

    @ColumnWidth(20)
    @ExcelProperty(value = "推荐人", index = 2)
    private String sharePersonName;

    @ColumnWidth(10)
    @ExcelProperty(value = "总积分", index = 3)
    private Integer points;

    @ColumnWidth(25)
    @ExcelProperty(value = "创建时间", index = 4)
    private String createDate;
}
