package com.huiju.estateagents.property.service;


import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.property.model.TpAnnouncement;
import com.huiju.estateagents.property.model.TpTicket;

/**
 * @author weichaochao
 * @Title: SocialServiceI
 * @date 2018/10/23
 */
public interface SocialServiceI {

	/**
	 * 查看公告详情
	 * @param id
	 * @param orgId
	 * @param userId
	 * @return
	 */
    TpAnnouncement findAnnouncementDetail(Integer id, Integer orgId, String personId);


	/**
	 * 分页获取公告列表
	 * @param orgId
	 * @param title
	 * @param annType
     * @param pageNum
     * @param pageSize
     * @return
	 */
	ResponseBean getAnnouncements(Integer orgId, String title, String annType, Integer pageNum, Integer pageSize, Integer communityId);

	/**
	 * 评价工单以及评分
	 * @param orgId
	 * @param tpTicket
	 * @param ticketId
	 */
    void accessTicket(Integer orgId, TpTicket tpTicket, String ticketId, String personId);
}
